/* 
 * File:     PaeWulf.cpp
 * Author:   PAE
 * Date:     27.03.2006
 * 
 *
 * Purpose: Headerdatei zur Klasse PaeWulf
 */



#ifndef PAE_WULF_HEADER
#define PAE_WULF_HEADER


#include <iostream>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <math.h>

#include "Definitions.h"
#include "Utilities.h"
#include "World.h"

#define ZUNAHME 1.0
#define ABNAHME  0.2

#define JAGD        0//das tier ist hungrig
#define SCHLAF      1//das tier schlaeft nach gelungener jagd

#define SCHLAFZEIT  100//so lange schlaeft das tier nach erfolgreicher jagd
#define SCHLAFDELTA 30.0
#define JAGDABSTAND 0.5//der abstand, aus dem ein wolf toetet im quadrat
#define MAXSPEED    1.0//maximale geschwindigkeit

using namespace std;


class World;


class PaeWulf{
  public:
    float pos[3];//position
    float dir[3];//richtung nur 2d berechnung
    float up[3];//oben
    float acc[3];//beschleunigung nur 2d berechnung
    GLfloat col[3];//zeichenfarbe
    float v;
    int state;
    int schlafzeit;
    float mass;//wie viel wiegt ein wolf
    
    World *my_world;
    
  public:
    
    PaeWulf *nextwulf;
         
    PaeWulf(World *w);//konstruktor
    void SetPosition(GLfloat x, GLfloat y, GLfloat z);
    void SetDirection(GLfloat x, GLfloat y, GLfloat z);
    void SetColor(GLfloat r, GLfloat g, GLfloat b);
    void Think(void);
    void Act(void);
    void Draw(void);
};



#endif
