/* File:     BasicInfo.cpp
 * Author:   MJW
 * Date:     31.03.2006
 * Modified: 31.03.2006
 *
 * Purpose:  Implementierung der Informationsklasse BasicInfo
 */


#include <GL/gl.h>
#include "BasicInfo.h"


using namespace std;


BasicInfo::BasicInfo(){
  dist = 0;
  
  norm[0] = 0;
  norm[1] = 1;
  norm[2] = 0;
}




BasicInfo::BasicInfo(float d, float *n){
  dist = d;
  
  norm[0] = n[0];
  norm[1] = n[1];
  norm[2] = n[2];
}




float BasicInfo::GetDistance(void){

  return(dist);
}




void BasicInfo::GetNormal(float *n){ 

  n[0] = norm[0];
  n[1] = norm[1];
  n[2] = norm[2];
}

