/* File:     BasicInfo.h
 * Author:   MJW
 * Date:     31.03.2006
 * Modified: 31.03.2006
 *
 * Purpose: Headerdatei zur Informationsklasse BasicInfo
 */

#ifndef BASICINFO_HEADER
#define BASICINFO_HEADER

#include <GL/gl.h>


using namespace std;


class BasicInfo{
  private:
    float dist;               // zur Speicherung eines Abstandes
    float norm[3];            // Zur Speicherung einer Normalen

  public:
    BasicInfo(void);
    BasicInfo(float d, float *n);            //standardkonstruktor
    float GetDistance(void);
    void GetNormal(float *n);
};

#endif // BASICINFO_HEADER

