/* 
 * File:    sheepworld.h
 * Author:  NMM
 * Date:    12.03.2006
 *
 * Purpose: headerdatei mit definitionen der klassen simulation und sheep
 */
 
 
 
#ifndef WORLD_HEADER
#define WORLD_HEADER

#include <iostream>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <math.h>

#include "PaeSheep.h"
#include "PaeTerrain.h"
#include "Stone.h"
#include "PaeWulf.h"
#define FOOD_PER_SHEEP 0.02

class PaeSheep;

class Stone;

class PaeWulf;

class World{
  private:
    PaeSheep *firstsheep;
    PaeWulf *firstwulf;

  public:
    PaeTerrain *terr; 
	Stone *stone;

    World();
    void CreateSheep(); 
    void CreateSheep(int n); 
    void CreateWulf(); 
    void CreateWulf(int n); 
    void Draw(int visual);
    
    float GetGras(float x, float y);
    void EatGras(float x, float y);
    float GetHeight(float x, float y);    

    void step(int value);  
    void Prepare(void);   
    void Action(void);

    Stone *GetNearestStone(PaeSheep* sheep);
    PaeSheep *GetNearestSheep(PaeSheep* sheep);
    PaeSheep **GetFiveNearestSheep(PaeSheep* sheep);

    //funktionen fuer die woelfe
    float* nextSheep(PaeWulf *w);//wo ist das naechste schaf zu dem wolf
    bool KillSheep(float *p);//toete das schaf an der stelle p und liefert zurueck, ob das toeten gelungen ist
    
};

#endif
