/* 
 * File:     Utilities.cpp
 * Author:   MJW
 * Date:     27.03.2006
 * Modified: 27.03.2006
 *
 * Purpose:  Hold the definition of all utilities functions
 */

#include "Utilities.h"
#include <math.h>

using namespace std;
 
void PaeRandSeed(void){
   srand(time(NULL));
}
 
/*
 * Function to compute a floating point random number
 * between  lower and upper
 */

float PaeRand(float lower, float upper){
  return (rand()*1.0 / RAND_MAX * (upper - lower) + lower);
}


float PaeRenorm3(float *dir){
  float l;
  
  l = dir[0]*dir[0]+dir[1]*dir[1]+dir[2]*dir[2];
  l = sqrt(l);
  
  dir[0]/= l;
  dir[1]/= l;
  dir[2]/= l;
  
  return(l);
}
